Summary: SSL-encrypting socket wrapper
Name: stunnel
Version: 3.3
Release: 1
Copyright: GPL
Group: Networking
Source0: stunnel-%{version}.tar.gz
Buildroot: /var/tmp/stunnel-root
Packager: Damien Miller <dmiller@ilogic.com.au>

%changelog
* Sun Jul 11 1999 Damien Miller <dmiller@ilogic.com.au>
- Updated to 3.3

* Sat Nov 28 1998 Damien Miller <dmiller@ilogic.com.au>
- Initial RPMification

%description
stunnel is a socket wrapper which can be used to give ordinary
applications SSL (secure sockets layer) support. For example, it
can be used in conjunction with a imapd to create a SSL secure IMAP
server.

%post
echo "To generate a self signed certificate, execute the following commands:"
echo ""
echo ""
echo "cd /var/ssl/certs"
echo "ssleay req -new -x509 -nodes -days 365 -out server.pem -keyout server.pem"
echo "ln -s server.pem \`ssleay x509 -noout -hash < server.pem\`.0" 
echo "chmod 644 server.pem"
echo ""

%postun
if [ -r /var/ssl/certs/server.pem ]; then
	echo "You may wish to remove the stunnel certificate."
	echo "If so, execute the following commands:"
	echo ""
	echo "rm -f /var/ssl/certs/`ssleay x509 -noout -hash < /var/ssl/certs/server.pem`.0"
	echo "rm -f /var/ssl/certs/server.pem"
	echo ""
fi

%prep
%setup 

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
/usr/bin/install -c -m 711 stunnel $RPM_BUILD_ROOT/usr/sbin
/usr/bin/install -c -m 644 stunnel.8 $RPM_BUILD_ROOT/usr/man/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS COPYING COPYRIGHT.GPL COPYRIGHT.SSLeay FAQ HISTORY INSTALL PORTS
%doc README TODO stunnel.html
/usr/sbin/stunnel
/usr/man/man8/stunnel.8
